[Twisted-Python] Get Twisted 10.0 in to Ubuntu 10.04 LTS

exarkun at twistedmatrix.com exarkun at twistedmatrix.com
Sun Mar 7 09:54:23 EST 2010

On 02:20 pm, free at 64studio.com wrote:
>|--==> On Sun, 7 Mar 2010 13:10:46 +0000, Jonathan Lange 
><jml at mumak.net> said:
>  >>If we want to update all twisted Ubuntu packages and not only the 
>  >>one, I *think* we need a separate bug filed against each of them. A
>  >>quick answer on #ubuntu-devel should clear this out.
>  >>
>  > They have separate source packages? If so, yes we would need
>  > separate FFes.
>Yes, the have separate source packages.
>  > Do you want to do this?
>  >>It looks like the only API removal that could raise compatibility 
>  >>is:
>  >>
>  >> - The deprecated connectUDP method of IReactorUDP has now been
>  >>  removed. (#4075)
>  >>
>  >>I'm wondering if there's any code in Ubuntu packages relying on it.
>  >>
>  > How would we find out?
>Good question. Something like pulling the source packages of all
>packages directly or indirectly depending on python-twisted-core and
>grepping for connectUDP.

I looked at the direct (apt-cache rdepends python-twisted | tail -n +3) 
and once removed (apt-cache rdepends python-twisted | tail -n +3 | xargs 
-iF bash -c 'apt-cache rdepends F | tail -n +3' | sort | uniq) 
dependencies of python-twisted.

One package refers to connectUDP, flumotion.  It doesn't appear to 
actually use it, though; instead it seems to be monkey-patching it to 
correct a documentation issue.  I don't think the removal will break 
this package, but it may result in flumotion-generated Twisted docs 
which include connectUDP, even though it no longer exists.
>  >>Have you already asked Matthias Klose (the maintainer) if he is
>  >>interested in updating the packages himself? If not, I'll be glad to
>  >>help out.
>  >>
>  > No, I haven't. It'd be great if you could sort this out.
>Okay, I'll check that.



More information about the Twisted-Python mailing list